del
Cancels algo order (GTC or with synthetic instrument).
In case if you want to cancel non-GTC or non-Synthetic order, use /api/del.
POST /algo/order/del
{
"id": 123456
}
or
{
"clientOrderId": 123456
}
Parameter
Type
Description
id
Efx::OrderId
The ID of the order to delete (either this or clientOrderId should be specified).
See Data Types.
clientOrderId
Efx::OrderId
The client ID of the order to delete (either this or orderId should be specified).
See Data Types.
// success for order by size
{
"id": 123456,
"remainingSize": 100000000,
"success": true
}
// success for order by volume
{
"id": 123456,
"remainingVolume": 100000000,
"success": true
}
// could not cancel order
{
"id": 123456,
"success": false
}Attribute
Type
Description
success
boolean
Flag that displays if order was cancelled successfully
Attribute
Type
Description
errorDescription
string array
List of strings describing observed errors
Last updated